/**
*Programme cree par The Clusters
*Classe aPropos du jeu "Chkoba"
*@author The Clusters
*@version 1.0
**/

package chkoba;

import javax.swing.*;
import java.awt.event.*;
import java.awt.*;
import java.net.*;
import chkoba.*;

public class IHMaPropos extends JFrame implements ActionListener

{
	private JPanel /** panel principal ou vont s'ajouter tous les element*/jpFond;
	private JPanel /** panel gerant le texte*/jpTexte;
	private JPanel /** panel gerant le bouton*/jpBouton;
	private JPanel /** panel gerant le logo de l'equipe*/jpLogoTeam;
	private JLabel /** label vide pour la décoration nord*/lDecoN, /** label vide pour la décoration sud*/lDecoS, /** label vide pour la décoration ouest*/lDecoO, /** label vide pour la décoration est*/lDecoE;
	private JLabel /** label du texte*/jlTexte;
	private JButton /** bouton qui permet de quitter la fenetre*/jbOk;
	
	/** createur de la fenetre*/
	
	public IHMaPropos()
	{
		setTitle("A propos");
		setSize(400,450);
		setIconImage(Toolkit.getDefaultToolkit().getImage(IHMaPropos.class.getResource("./icone.png")));
			
		jpFond = new JPanel(new BorderLayout()); 				//Creation du panel de fond
		ImageIcon img = new ImageIcon("./logoteam.png");			//Recuperation de l'image .jpg
		JLabel logo = new JLabel(img); 						
		
		jpFond.add(logo, "North"); 							//Ajout de l'image au panel de fond
			
			jpTexte = new JPanel(new GridLayout(1,2)); 			//Creation du panel central pour le logo et le texte
			jlTexte = new JLabel("<html><center>Chkoba v1.0<br />Produit par The Clusters</center></html>"); //Creation du label avec texte a afficher
			
			ImageIcon ic = new ImageIcon("./icone1.png");			//Recuperation de l'image .png
			JLabel log = new JLabel(ic); 						
			log.setBackground(Color.LIGHT_GRAY);
		
			 /* On s'occupe de la déco */
		
			JPanel jpDecorateur = new JPanel(new BorderLayout());
				lDecoN = new JLabel(" ");
				lDecoS = new JLabel(" ");
				lDecoO = new JLabel("                ");
				lDecoE = new JLabel("                ");
				
				jpDecorateur.add(lDecoN, "North");
				jpDecorateur.add(lDecoS, "South");
				jpDecorateur.add(lDecoO, "West");
				jpDecorateur.add(lDecoE, "East");
				
				lDecoN.setBackground(Color.LIGHT_GRAY);
				lDecoN.setOpaque(true); 				// permet de rendre le label opaque et non plus transparent
				lDecoS.setBackground(Color.LIGHT_GRAY);
				lDecoS.setOpaque(true);
				lDecoO.setBackground(Color.LIGHT_GRAY);
				lDecoO.setOpaque(true);
				lDecoE.setBackground(Color.LIGHT_GRAY);
				lDecoE.setOpaque(true);
				
			jpDecorateur.add(log);						// Ajout de l'icone de la chkoba au panel decorateur
			jpTexte.setBackground(Color.LIGHT_GRAY);		// Modification de la couleur de fond
			jpTexte.add(jpDecorateur); 					//Ajout de l'image au panel central
			jpTexte.add(jlTexte); 						//Ajout du label au panel central
		jpFond.add(jpTexte); 							//Ajout du panel central au panel de fond
		
			jpBouton = new JPanel(new BorderLayout()); 		//Creation d'un panel pour placer le bouton
			jbOk = new JButton("OK"); 					//Creation du bouton OK
			jbOk.addActionListener(this); 				//Ajout de l'actionListener sur le bouton
			jpBouton.add(jbOk,BorderLayout.EAST);			// Ajout du bouton OK a son panel
			jpBouton.setBackground(Color.LIGHT_GRAY);		// Modification de la couleur de fond
			
			JPanel bouton = new JPanel(new BorderLayout());	// Creation du panel du bouton
			bouton.add(jpBouton, BorderLayout.SOUTH);		// Ajout du panel du bouton a son panel superieur
		jpFond.add(bouton, "South");						// Ajout du panel bouton au panel general
		
		/* Ajout du panel general a la fenetre */
		
		add(jpFond);
		
		/* On rend la fenetre visible */
		
		setVisible(true);
	}
	
	public void actionPerformed(ActionEvent e)
	{
		if (e.getSource() == jbOk)
			setVisible(false);
	}
}